Subject: Re: Private remote repo setup

From: Johannes Sixt <[email-masked]>
Date: Wed, 25 Nov 2009 07:37:11 +0100

Derek D schrieb:
> Hi all, I am new to Git and I am getting quite frustrated with setting a repo 
> on my server so that people with Windows machines can ssh to it and contribute.
> 
> This is what I am doing:
> On the server:
> #git --bare init
  ^
This looks like you were root when you ran the command.

> Initialized empty Git repository in /opt/apps/git-test/
> 
> In tortoiseGIT I go to git clone, provide correct url:
> ssh://user@domain/opt/apps/git-test/
> tortoiseGIT asks me for a password, I provide it, it's correct, the repository 
> gets created on the local machine and...
> 
> fatal: '/opt/apps/git-test': unable to chdir or not a git archive
> Initialized empty Git repository in C:/path/.git/
> fatal: The remote end hung up unexpectedly
> Failed
> 
> What happened there?

I guess that user does not have sufficient permissions to peek inside
/opt/apps/git-test.

-- Hannes